.cennik__mini::before {
    content: "";
    display: block;
    height: 20px;
    width: 20px;
    border-radius: 20px;
    flex: none;
    background: var(--color);
}.cennik__mini {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.cennik-grid.block-cennik__grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 50px;
}
.cennik-item {
    padding: 20px;
    display: block;
    position: relative;
    background: var(--shadow);
    overflow: hidden;
    border-radius: 20px;
    text-decoration: none;
    height: 100%;
}
.mask-icon.mask-icon--accent {
    position: absolute;
    bottom: -20px;
    right: -20px;
    z-index: 0;
}
.cennik-item__media-wrap {
    position: relative;
    z-index: 1;
}
.cennik-item__icons {
    display: flex;
    padding: 10px;
    border-radius: 200px;
    background: white;
}
.cennik-item__title {
    font-size: var(--font-size-h4);
    font-weight: 600;
    color: var(--blue);
}
.cennik-item__desc {
    color: var(--blue);
}
.cennik-item__content {
    display: flex;
    height: 100%;
    flex-direction: column;
    gap: 30px;
    align-items: start;
    justify-content: space-between;
}

.cennik-item__media {
    position: absolute;
    display: flex;
    width: 200px;
    height: calc(100% + 40px);
    top: -20px;
    bottom: -20px;
    border-radius: 20px 0 0 20px;
    border: 2px solid var(--color);
    left: -220px;
}
.cennik-item__media img, .cennik-item__media video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
@media screen and (min-width: 650px){
    .cennik-grid__col:hover .cennik-item--has-media .cennik-item__media  {
        left: -16px;
        transition-duration: 0.3s;
    }
    .cennik-grid__col:hover .cennik-item--has-media .cennik-item__media-wrap {
        padding-left: 200px;
        transition-duration: 0.3s;
    }

}
.cennik-grid__col:hover .cennik-item {
    background-color: var(--blue);
    transition-duration: 0.3s;
}
.cennik-grid__col:hover .cennik-item .cennik-item__title,
.cennik-grid__col:hover .cennik-item .cennik-item__desc {
    color: white;
    transition-duration: 0.3s;
}

.cennik-grid__col:hover .cennik-item .mask-icon--accent {
    background-color: #12508D;
}
.icon-button-wrapper-cennik {
    display: flex;
    align-items: start;
    justify-content: space-between;
    width: 100%;
}
.cennik__tekst {
    margin-bottom: 30px;
    max-width: 1000px;
    color: var(--blue);
}

.div-button-standard {
    padding: 10px;
    opacity: 1;
    border-radius: 100px;
    background: white;
    color: var(--color);
    display: flex;
    align-items: center;
    gap: 10px;
}
.cennik-grid__col:hover .div-button-standard {
    opacity: 1;
    transition-duration: 0.3s;
}

@media screen and (max-width: 900px){
    .cennik-grid.block-cennik__grid {
        grid-template-columns: 1fr;
        gap: 30px;
    }
}
.block-cennik > svg {
    position: absolute;
    top: -50px;
    z-index: -1;
    right: -50px;
}
.block-cennik {
    position: relative;
    overflow: hidden;
}
.cennik-paket__row {
    padding: 30px;
    border-radius: 30px;
    align-items: center;
    background: var(--shadow);
}
.cennik-paket__row {
    padding: 30px;
    border-radius: 30px;
    background: var(--shadow);
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 50px;
}
.cennik-pakiety {
    display: flex;
    flex-direction: column;
    gap: var(--grid-spacing);
}
h3.cennik-paket__header {
    font-size: var(--font-size-h4);
    color: black;
}
h3.cennik-paket__header strong {
    color: var(--color);
}
.cennik-paket__desc {
    opacity: 0.89;
    max-width: 700px;
    color: black;
}
.cennik-paket__params {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: 20px;
}
.cennik-paket__param-row {
    padding: 10px 10px;
    border-radius: 10px;
    background: white;
}
.cennik-paket__key-params {
    display: flex;
    margin-top: 10px;
    gap: 20px;
    flex-wrap: wrap-reverse;
}
.cennik-paket__key-param-row {
    display: flex;
    flex-direction: column;
    padding: 10px 10px;
    background: white;
    border-radius:10px;
}
.price-value, span.cennik-paket__key-param-value {
    font-size: var(--font-size-h6);
    color: black;
    font-weight: 600;
    line-height: 100%;
}

span.cennik-paket__key-param-value strong {
    font-weight: 600;
}
.cennik-paket__price {
    padding: 5px 10px;
}
.cennik-paket .standard-wrapper-buttons {
    width: fit-content;
}

.cennik-paket .standard-wrapper-buttons .button-standard {
    padding: 10px 20px;
    border-radius: 100px;
    box-shadow: 0 0 0 2px var(--color);
    background: transparent;
    color: var(--color);
    display: flex;
    align-items: center;
    gap: 10px;
}
.cennik-paket .standard-wrapper-buttons .button-standard::after {
    background-color: var(--color);

}
.cennik-paket .standard-wrapper-buttons .button-standard:hover {
    color: white;
    transition-duration: 0.3s;
}
.cennik-paket__key-param-row * {
    color: var(--color);
}

@media screen and (max-width: 1200px){
    .cennik-paket__row {
        grid-template-columns: 3fr 2fr;
    }
}

@media screen and (max-width: 786px){
    .cennik-paket__row {
        grid-template-columns: 1fr;
        padding: 30px 20px;
        border-radius: 15px;
    }
}
.price-value {
    position: relative;
}
.price-value > svg {
    position: absolute;
    top:80%;
    left: 0;
    z-index: 0;
    width: 50%;
    height: auto;
}
.cennik-paket--has-info .cennik-paket__row {
    border: 3px solid var(--color);
}
.cennik-paket__text-wrapper-additional {
    width: fit-content;
    padding: 10px 20px;
    border-radius: 20px 20px 0 0;
    background: var(--color);
    color: white;
    position: absolute;
    top: 0;
    transform: translateY(-100%);
}
.cennik-paket--has-info::before {
    position: absolute;
    content: "";
    display: block;
    width: 50px;
    height: 50px;
    top: 0;
    background-color: var(--color);
    z-index: -1;
    left: 0;
}
.cennik-paket--has-info {
    position: relative;
    margin-top: 30px;
}